Skip to main content
DELETE
/
v1
/
perps
/
orders
/
batch
Batch Cancel Orders
curl --request DELETE \
  --url https://api.ondoperps.xyz/v1/perps/orders/batch \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": {
    "successfulCancels": [
      {
        "orderId": "197ec08e001658690721be129e7fa595",
        "side": "buy",
        "price": "227.50",
        "size": "10.00",
        "market": "AAPL-USD.P",
        "filledSize": "0.00",
        "lastFillSize": "0.00",
        "filledCost": "0.00",
        "fee": "0.00",
        "status": "canceled",
        "createdAt": "2025-03-05T14:30:00Z",
        "canceledAt": "2025-03-05T14:35:00Z",
        "type": "limit"
      }
    ],
    "failedCancels": []
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

orderIDs
string
required

Comma-separated list of order IDs to cancel

Example:

"abc123,def456"

Response

Batch cancel result

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object